import { matchesAutoGeneratedTokenFormat } from './delete-personal-api-token-cell-renderer.component';

describe('Auto-generated API Token name regex tests', () => {
  it('Should return true from automated suite auto-generated format token', () => {
    const isTokenAutoGeneratedFromSuite = matchesAutoGeneratedTokenFormat(
      '20240826093446-4028819f918d9a7401918d9bd4f00000-token',
    );
    expect(isTokenAutoGeneratedFromSuite);
  });

  it('Should return false from other format token', () => {
    const invalidTokens = [
      '20240826093446-4028819f918d9a7401918d9bd4f00000-tokenn',
      '20240826093446-4028819f918d9a7401918d9bd4f0000-token',
      '20240826093a-402a819t91cd9b7401918d9bd4f00000-token',
      '202408260936-402a819t91cd9b7401918d9bd4f00000-token',
      '202408260936_402a819t91cd9b7401918d9bd4f00000_token',
    ];

    invalidTokens.forEach((token) => {
      const isTokenAutoGeneratedFromSuite = matchesAutoGeneratedTokenFormat(token);
      expect(isTokenAutoGeneratedFromSuite).toBe(false);
    });
  });
});
